com.genesyslab.wfm7.API.service.config750

## Class CfgStateMapping

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgStateMapping

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgStateMapping
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswStateId`
    `private java.lang.String` | `wmReason`
    `private int` | `wmStateMappingId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgStateMapping()`
    `CfgStateMapping(int wmStateMappingId, int gswStateId, java.lang.String wmReason)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswStateId()` Gets the gswStateId value for this CfgStateMapping.
    `java.lang.String` | `getWmReason()` Gets the wmReason value for this CfgStateMapping.
    `int` | `getWmStateMappingId()` Gets the wmStateMappingId value for this CfgStateMapping.
    `int` | `hashCode()`
    `void` | `setGswStateId(int gswStateId)` Sets the gswStateId value for this CfgStateMapping.
    `void` | `setWmReason(java.lang.String wmReason)` Sets the wmReason value for this CfgStateMapping.
    `void` | `setWmStateMappingId(int wmStateMappingId)` Sets the wmStateMappingId value for this CfgStateMapping.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmStateMappingId

          private int wmStateMappingId

    - #### gswStateId

          private int gswStateId

    - #### wmReason

          private java.lang.String wmReason

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgStateMapping

          public CfgStateMapping()

    - #### CfgStateMapping

          public CfgStateMapping(int wmStateMappingId,
                         int gswStateId,
                         java.lang.String wmReason)

  - ### Method Detail

    - #### getWmStateMappingId

          public int getWmStateMappingId()

      Gets the wmStateMappingId value for this CfgStateMapping.
      Returns:
        wmStateMappingId

    - #### setWmStateMappingId

          public void setWmStateMappingId(int wmStateMappingId)

      Sets the wmStateMappingId value for this CfgStateMapping.
      Parameters:
        `wmStateMappingId` -

    - #### getGswStateId

          public int getGswStateId()

      Gets the gswStateId value for this CfgStateMapping.
      Returns:
        gswStateId

    - #### setGswStateId

          public void setGswStateId(int gswStateId)

      Sets the gswStateId value for this CfgStateMapping.
      Parameters:
        `gswStateId` -

    - #### getWmReason

          public java.lang.String getWmReason()

      Gets the wmReason value for this CfgStateMapping.
      Returns:
        wmReason

    - #### setWmReason

          public void setWmReason(java.lang.String wmReason)

      Sets the wmReason value for this CfgStateMapping.
      Parameters:
        `wmReason` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.